//----------------------------------------------------------------------
/*EASTRISING TECHNOLOGY CO,.LTD.*/
// Module    : ERM12864-10 Series
// Lanuage   : C51 Code
// Create    : JAVEN
// Date      : 2022-06-18
// Drive IC  : KS0108/31108/SBN6400
// INTERFACE : 6800_8bit
// MCU 		 : AT89C52   12M
// VDD		 : 5V                                                                         
//***************************************************************************    
   
#include <INTRINS.H>    
#include <STDIO.H>     
#include <MATH.H>    
#include <ABSACC.H>    
#include <REG52.H>       
   

sbit RS  =P2^0;    
sbit RW  =P2^1;     
sbit E   =P2^2;    
   
sbit CS1 =P2^3;    //active "H"
sbit CS2 =P2^4;    //active "H"   
//sbit RES =P2^5;  //LCM Built-in RC Reset

sbit int0=P3^2; 

bit loge=0;  



unsigned char Page;     
unsigned char Col;   
unsigned char code BMP0[];   
unsigned char code BMP1[];   
unsigned char code BMP2[];   
unsigned char code BMP3[];  
unsigned char code font[];
unsigned char code Character[];

void BusyL(void);
void BusyR(void);
void Locatexy(void);   
void WriteCommandL( unsigned char CommandByte );
void WriteCommandR( unsigned char CommandByte );
unsigned char ReadData( void );
void WriteData( unsigned char DataByte );
void LcmClear( void );
void LcmInit( void );
void LcmPutDots( unsigned char DotByte,unsigned char DotByte1 );
void LcmPutBMP( unsigned char *puts );
void LcmReverseBMP( void );
void Delay(unsigned int MS);
void Display_Chinese();
void Display_16_16(unsigned char F[],unsigned char i);
void Display_8_8(unsigned char C[],unsigned char i);

unsigned char code character[]=
	{0x3f,0x15,0x15,0x15,0x15,0x3f,0x00,0x00,		//
	 0x00,0x00,0x48,0x54,0xfe,0x54,0x24,0x00,		//$
	 0x00,0x00,0x3e,0x41,0x79,0x49,0x32,0x00};		 //G
   
/***************************/   
/*Check Busy                 */   
/***************************/   
void BusyL(void)   
{unsigned char flag=0xff;  
 CS1= 1;       //active "H"
 CS2= 0;   
 RS = 0;   
 RW = 1;  

 P1 = 0xFF; 
while ((flag&0x80)==0x80)
 {
 E=1;
 _nop_();
 flag=P1;
 E=0;
 }    
}   
   
void BusyR(void)   
{ unsigned char flag=0xff;  
 CS1= 0;   
 CS2= 1;        //active "H"
 RS = 0;    
 RW = 1; 

 P1 = 0xFF;  
while ((flag&0x80)==0x80)
 {
 E=1;
 _nop_();
 flag=P1;
 E=0;
 }  
}   
   
 

   
  
void Locatexy(void)   
{   
 unsigned char x,y;   
 switch (Col&0xc0) /*  col.and.0xC0 */   
 {    
  case 0: {BusyL();break;}  
  case 0x40: {BusyR();break;}  
 }   
 x = Col&0x3F|0x40; /* col.and.0x3f.or.Set X Address*/   
 y = Page&0x07|0xB8; /* row.and.0x07.or.set Page */   
   
 RS = 0;      
 RW = 0;      
 P1 = y;  
 E  = 1;   
 _nop_();   
 E  = 0;   
 _nop_();   
 
 RS = 0;   
 RW = 0;   
 P1 = x;      
 E  = 1;   
 _nop_();   
 E  = 0;   
 _nop_(); 
 

}   
/***************************/   
/*Write command 1-64               */   
/***************************/      
void WriteCommandL( unsigned char CommandByte )   
{   
 BusyL();   
 P1 = CommandByte;   
 RS = 0;   
 RW = 0;   
 E  = 1;   
 _nop_();   
 E  = 0;   
 _nop_();   
}   
/***************************/   
/*Write command 65-128                */   
/***************************/     
void WriteCommandR( unsigned char CommandByte )   
{   
 BusyR();   
 P1 = CommandByte;   
 RS = 0;    
 RW = 0;   
 E  = 1;   
 _nop_();   
 E  = 0;   
 _nop_();   
}   

/***************************/   
/*Read data                 */   
/***************************/   
unsigned char ReadData( void )   
{   
 unsigned char DataByte;   
 Locatexy();   
 RS = 1;    
 RW = 1;  
 P1 = 0xFF;  
  _nop_();   
 
 E  = 1;    
 _nop_();   

 DataByte = P1;  
 E  = 0;   
 _nop_();  
 CS1=0;
 CS2=0;
 return DataByte;   
}   
   
 /***************************/   
/*Write data                 */   
/***************************/
void WriteData( unsigned char DataByte )   
{   
 Locatexy();   
 RS = 1;    
 RW = 0;     
 P1 = DataByte; 
 E  = 1;    
 _nop_();   
 E  = 0;   
 _nop_(); 
 CS1=0;
 CS2=0;
}   
   
void LcmClear( void )   
{   
 Page = 0;   
 Col  = 0;   
 for(Page=0;Page<8;Page++)   
  for(Col=0;Col<128;Col++)   
   WriteData(0);   
}   
   
void LcmInit( void )   
{   
 WriteCommandL(0x3f); //DISPALY ON
 WriteCommandR(0x3f);   
   
 WriteCommandL(0xc0); //SET START ADDRESS  
 WriteCommandR(0xc0);   
   
 WriteCommandL(0x3f); //DISPLAY ON  
 WriteCommandR(0x3f);   
     
}   
   
void LcmPutDots( unsigned char DotByte,unsigned char DotByte1 )   
{   
 Page = 0;   
 Col  = 0;   
 for(Page=0;Page<8;Page++)   
 {   
  for(Col=0;Col<128;Col++)   
  {   
   WriteData( DotByte );
   Col++;
   WriteData( DotByte1 );  
  } 
    
 }   
}   
   
void LcmPutBMP( unsigned char *puts )   
{   
 unsigned int X=0;   
 Page = 0;   
 Col  = 0;   
 for(Page=0;Page<8;Page++)   
 {   
  for(Col=0;Col<128;Col++)   
  {   
   WriteData( puts[X] );   
   X++;   
  }   
 }   
}   

void LcmReverseBMPP( unsigned char *puts )   
{   
 unsigned int X=0;   
 Page = 0;   
 Col  = 0;   
 for(Page=0;Page<8;Page++)   
 {   
  for(Col=0;Col<128;Col++)   
  {   
   WriteData(~puts[X] );   
   X++;   
  }   
 }   
}     

/*void LcmReverseBMP( void )   
{   
 unsigned char temp;   
 Page = 0;   
 Col  = 0;   
 for(Page=0;Page<8;Page++)   
 {   
  for(Col=0;Col<128;Col++)   
  {   
   temp = ReadData();   

   temp = ReadData();   
   temp = ~temp;   
   WriteData(temp);   
  }   
 }   
}*/   

void Display_8_8(unsigned char C[],unsigned char i)
{ unsigned char k,num=0;
 num=i*0x08;
 for(k=0;k<0x08;k++)
 {
  WriteData(C[num+k]);
  Col+=0x01;
 } 

}


void Display_16_16(unsigned char F[],unsigned char i)
{
 unsigned char k=0;
 unsigned int	num=0;
 num=i*0x20;

 for(k=0;k<0x10;k++)
 {
  WriteData(F[num+k]);
  Col+=0x01;
 } 
  Col-=0x10;
  Page+=0x01;   
  for(k=16;k<0x20;k++)
 {
  WriteData(F[num+k]);
  Col+=0x01;
 } 
  Page-=0x01; 
  Delay(80); 
}

void Display_character()
{ unsigned char k,c, a=0;
 
 Col  = 0;
 for(c=0;c<8;c++)
 { Page = c; 
	for(k=0;k<16;k++)
 	{ Display_8_8(character,0);
 	}
 Col  = 0;
 }
  Delay(1500);

 for(c=0;c<8;c++)
 { Page = c; 
	for(k=0;k<16;k++)
 	{ Display_8_8(character,1);
 	}
 Col  = 0;
 }
  Delay(1500);

 for(c=0;c<8;c++)
 { Page = c; 
	for(k=0;k<16;k++)
 	{ Display_8_8(character,2);
 	}
 Col  = 0;
 }
  Delay(1000);


}



void Display_Chinese()
{unsigned char a=0;
 Page = 0;   
 Col  = 0;
 for(a=0;a<8;a++)
 {
 Display_16_16(font,a);
 }
 Page = 2;   
 Col  = 0;
 for(a=8;a<16;a++)
 {
 Display_16_16(font,a);
 }

 Page = 4;   
 Col  = 0;
 for(a=16;a<24;a++)
 {
 Display_16_16(font,a);
 }

 Page = 6;   
 Col  = 0;
 for(a=24;a<32;a++)
 {
 Display_16_16(font,a);
 }

}


   
void Delay(unsigned int MS)   
{   
 unsigned char us,usn;   
 while(MS!=0)   
 {   
  usn = 2; //for 12M    
  while(usn!=0)   
  {   
   us=0xf6;   
   while (us!=0){us--;};   
   usn--;   
  }   
  MS--;   
 }  
 while(loge);
}   



void Step(void) interrupt 0 using 0
{ _nop_(); 
  _nop_(); 
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_(); 
  _nop_(); 
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
  _nop_();
	if(int0==0)
	loge=!loge;
    while(!int0);
  return;

}

   
void Main( void )   
{      
 Delay(20);  
 IE=0x81;
 IP=0x01;
 TCON=0x01;
 int0=1;  
 LcmInit();   
 LcmClear();   
 while(1)   
 {
LcmPutDots(0x55,0xaa);
 Delay(600); 
  LcmPutDots(0xaa,0x55);
  Delay(600);
  
 LcmPutDots(0x55,0x55);
 Delay(600); 
  LcmPutDots(0xaa,0xaa);
  Delay(600); 

  LcmPutDots(0xff,0x00);
  Delay(600); 
  LcmPutDots(0x00,0xff);
  Delay(600); 

  LcmPutBMP(BMP0);   
  Delay(1000); 
 LcmReverseBMPP(BMP0);   
  Delay(1000); 
  LcmPutBMP(BMP1);   
  Delay(1000);    
  LcmReverseBMPP(BMP1);   
  Delay(1000);    
  LcmPutBMP(BMP2);   
  Delay(1000); 
    LcmReverseBMPP(BMP2);   
  Delay(1000);  
   LcmPutBMP(BMP3);   
  Delay(1000); 

 LcmReverseBMPP(BMP3);   
  Delay(1000);    
  LcmClear(); 
  Display_Chinese();
  Delay(1000); 
  Display_character();
 }   
}   
  

unsigned char code font[]=
{

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x61,0x06,0xE0,0x00,0x26,0x22,0x1A,0x02,0xC2,0x0A,0x12,0x32,0x06,0x02,0x00,
0x04,0xFC,0x03,0x20,0x20,0x11,0x11,0x09,0x05,0xFF,0x05,0x09,0x19,0x31,0x10,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x10,0x10,0xFE,0x10,0x10,0xFE,0x00,0x00,0xFC,0x00,0x00,0x00,0xFE,0x00,0x00,
0x08,0x08,0x04,0x47,0x24,0x18,0x07,0x00,0x00,0x1F,0x00,0x00,0x00,0x7F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x10,0x10,0xFF,0x10,0xF0,0x00,0x00,0xFE,0x22,0x22,0x22,0x22,0xFE,0x00,0x00,
0x40,0x30,0x0E,0x01,0x00,0x3F,0x40,0x40,0x47,0x44,0x44,0x44,0x44,0x47,0x70,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0xFE,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0xFE,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x3F,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x3F,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x04,0x04,0xC4,0xB4,0x8C,0x87,0x84,0xF4,0x84,0x84,0x84,0x84,0x04,0x00,0x00,
0x00,0x00,0x20,0x18,0x0E,0x04,0x20,0x40,0xFF,0x00,0x02,0x04,0x18,0x30,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x08,0x08,0x08,0x08,0x08,0x08,0xF9,0x4A,0x4C,0x48,0x48,0xC8,0x08,0x08,0x08,0x00,
0x40,0x40,0x20,0x10,0x0C,0x03,0x00,0x00,0x20,0x40,0x40,0x3F,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x12,0x92,0x72,0xFE,0x51,0x91,0x00,0x22,0xCC,0x00,0x00,0xFF,0x00,0x00,0x00,
0x04,0x02,0x01,0x00,0xFF,0x00,0x04,0x04,0x04,0x02,0x02,0x02,0xFF,0x01,0x01,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x08,0x08,0x88,0xFF,0x48,0x28,0x00,0xC8,0x48,0x48,0x7F,0x48,0xC8,0x48,0x08,0x00,
0x01,0x41,0x80,0x7F,0x00,0x40,0x40,0x20,0x13,0x0C,0x0C,0x12,0x21,0x60,0x20,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x04,0x84,0x44,0xE4,0x34,0x2C,0x27,0x24,0x24,0x24,0xE4,0x04,0x04,0x04,0x00,
0x02,0x01,0x00,0x00,0xFF,0x09,0x09,0x09,0x29,0x49,0xC9,0x7F,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0xFE,0x02,0x32,0x4E,0x82,0x00,0xFE,0x4A,0xCA,0x4A,0x4A,0x4A,0x7E,0x00,0x00,0x00,
0xFF,0x00,0x02,0x04,0x03,0x00,0xFF,0x40,0x20,0x03,0x0C,0x12,0x21,0x60,0x20,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x80,0x40,0x30,0x0E,0x84,0x00,0x00,0x0E,0x10,0x60,0xC0,0x80,0x80,0x00,
0x00,0x01,0x20,0x70,0x28,0x24,0x23,0x31,0x10,0x10,0x14,0x78,0x30,0x01,0x00,0x00,

/*--  :  ˾  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x10,0x92,0x92,0x92,0x92,0x92,0x92,0x92,0x92,0x12,0x02,0x02,0xFE,0x00,0x00,
0x00,0x00,0x1F,0x04,0x04,0x04,0x04,0x04,0x04,0x0F,0x00,0x20,0x40,0x3F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x40,0x20,0xD0,0x4C,0x43,0x44,0x48,0xD8,0x30,0x10,0x00,0xFC,0x00,0x00,0xFF,0x00,
0x00,0x00,0x3F,0x40,0x40,0x42,0x44,0x43,0x78,0x00,0x00,0x07,0x20,0x40,0x3F,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x42,0x62,0x5A,0xC6,0x10,0x54,0x54,0x54,0xFF,0x54,0x54,0x7C,0x10,0x10,0x00,
0x40,0x23,0x14,0x08,0x17,0x28,0x29,0x49,0x49,0x7F,0x49,0x49,0x49,0x49,0x40,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x40,0x40,0x42,0x42,0x42,0x42,0x42,0xFE,0x42,0x42,0x42,0x42,0x42,0x42,0x40,0x00,
0x00,0x00,0x00,0x00,0x20,0x40,0x80,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x06,0x04,0x00,0x00,0x00,
0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x18,0x10,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x0C,0x04,0x55,0x55,0x55,0x85,0x7F,0x85,0x55,0x55,0x55,0x05,0x0C,0x04,0x00,
0x04,0x04,0x04,0x0A,0x0A,0x09,0x2A,0xCC,0x28,0x19,0x09,0x02,0x06,0x02,0x02,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x0C,0x04,0x55,0x55,0x55,0x85,0x7F,0x85,0x55,0x55,0x55,0x05,0x0C,0x04,0x00,
0x04,0x04,0x04,0x0A,0x0A,0x09,0x2A,0xCC,0x28,0x19,0x09,0x02,0x06,0x02,0x02,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x04,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x84,0x04,0x00,0x00,
0x00,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x40,0x20,0x10,0x0C,0xE3,0x22,0x22,0x22,0xFE,0x22,0x22,0x22,0x22,0x02,0x00,0x00,
0x04,0x04,0x04,0x04,0x07,0x04,0x04,0x04,0xFF,0x04,0x04,0x04,0x04,0x04,0x04,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x80,0x80,0x80,0x80,0xBE,0xAA,0xAA,0xAA,0xAA,0xAA,0xAA,0xBE,0x80,0x80,0x80,0x00,
0x00,0x40,0x20,0x10,0x0E,0x10,0x20,0x3F,0x44,0x44,0x44,0x44,0x44,0x40,0x40,0x00,

/*--  :  һ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0xC0,0x80,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x18,0x04,0x14,0x94,0x94,0xD5,0xB6,0x14,0x14,0x94,0x04,0x14,0x0C,0x04,0x00,
0x00,0x29,0x29,0x15,0x14,0x4A,0x89,0x44,0x3F,0x06,0x09,0x09,0x10,0x30,0x10,0x00,

/*--  :  ר  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x20,0x20,0x24,0x24,0xA4,0x64,0x3C,0x27,0x24,0x24,0xA4,0x24,0x24,0x20,0x20,0x00,
0x00,0x00,0x00,0x00,0x01,0x01,0x09,0x11,0x29,0x45,0x03,0x01,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0xF8,0x01,0x06,0x00,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0xFE,0x00,0x00,
0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x40,0x80,0x7F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x80,0x7F,0x80,0x00,0x00,0x00,0x00,0x00,
0x40,0x20,0x18,0x07,0x80,0x41,0x36,0x18,0x07,0x00,0x01,0x06,0x18,0x70,0x20,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x02,0x02,0x82,0xBA,0xAA,0xAA,0xAA,0xFF,0xAA,0xAA,0xAA,0xAA,0xBA,0x02,0x02,0x00,
0x02,0x02,0x0A,0x0A,0x2A,0x4A,0x8A,0x7F,0x0A,0x0A,0x0A,0x0A,0x1F,0x02,0x02,0x00,

/*--  :  Һ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x61,0x06,0xE0,0x18,0x84,0xE4,0x1C,0x84,0x65,0xBE,0x24,0xA4,0x64,0x04,0x00,
0x04,0x04,0xFF,0x00,0x01,0x00,0xFF,0x41,0x21,0x12,0x0C,0x1B,0x61,0xC0,0x40,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0x00,0x7E,0x2A,0x2A,0x2A,0x2A,0x2A,0x2A,0x7E,0x00,0x00,0x00,0x00,
0x00,0x7F,0x25,0x25,0x25,0x25,0x7F,0x00,0x00,0x7F,0x25,0x25,0x25,0x25,0x7F,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0xFF,0x09,0x49,0x59,0xE9,0x49,0x49,0x49,0xE9,0x59,0x49,0x4F,0x00,0x00,
0x40,0x30,0x0F,0x82,0x42,0x32,0x0F,0x02,0x02,0x02,0xFF,0x02,0x02,0x02,0x02,0x00,

/*--  :  Һ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x61,0x06,0xE0,0x18,0x84,0xE4,0x1C,0x84,0x65,0xBE,0x24,0xA4,0x64,0x04,0x00,
0x04,0x04,0xFF,0x00,0x01,0x00,0xFF,0x41,0x21,0x12,0x0C,0x1B,0x61,0xC0,0x40,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0x00,0x7E,0x2A,0x2A,0x2A,0x2A,0x2A,0x2A,0x7E,0x00,0x00,0x00,0x00,
0x00,0x7F,0x25,0x25,0x25,0x25,0x7F,0x00,0x00,0x7F,0x25,0x25,0x25,0x25,0x7F,0x00,

/*--  :  ģ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0xD0,0xFF,0x50,0x90,0x04,0xF4,0x54,0x5F,0x54,0x54,0x5F,0xF4,0x04,0x00,0x00,
0x03,0x00,0xFF,0x00,0x00,0x84,0x85,0x45,0x35,0x0F,0x15,0x25,0x65,0xC4,0x44,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x10,0xFF,0x10,0x10,0x00,0x08,0x08,0xFF,0x08,0x08,0x08,0xF8,0x00,0x00,0x00,
0x08,0x18,0x0F,0x04,0x85,0x41,0x31,0x0D,0x03,0x05,0x09,0x11,0x31,0x61,0x21,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x02,0xC2,0xF2,0x4E,0xC2,0x02,0x40,0x42,0xFE,0x42,0x42,0x42,0xFE,0x42,0x42,0x00,
0x01,0x00,0x3F,0x10,0x9F,0x40,0x20,0x18,0x07,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x10,0x3E,0x10,0x10,0xF0,0x9F,0x90,0x90,0x92,0x94,0x1C,0x10,0x10,0x10,0x00,
0x40,0x20,0x10,0x88,0x87,0x41,0x46,0x28,0x10,0x28,0x27,0x40,0xC0,0x40,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0xF8,0x8C,0x8B,0x88,0xF8,0x40,0x30,0x8F,0x08,0x08,0x08,0x08,0xF8,0x00,0x00,
0x00,0x7F,0x10,0x10,0x10,0x3F,0x00,0x00,0x00,0x03,0x26,0x40,0x20,0x1F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x04,0x04,0x04,0x04,0x74,0x54,0x55,0x56,0x54,0x54,0x74,0x04,0x04,0x04,0x04,0x00,
0x00,0xFF,0x01,0x01,0x3D,0x25,0x25,0x25,0x25,0x25,0x3D,0x41,0x81,0x7F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x20,0x24,0x2C,0x35,0xE6,0x34,0x2C,0x24,0x00,0xFC,0x24,0x24,0xE2,0x22,0x22,0x00,
0x21,0x11,0x4D,0x81,0x7F,0x05,0x59,0x21,0x18,0x07,0x00,0x00,0xFF,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x12,0x92,0x72,0xFE,0x51,0x91,0x00,0x22,0xCC,0x00,0x00,0xFF,0x00,0x00,0x00,
0x04,0x02,0x01,0x00,0xFF,0x00,0x04,0x04,0x04,0x02,0x02,0x02,0xFF,0x01,0x01,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x08,0x08,0x88,0xFF,0x48,0x28,0x00,0xC8,0x48,0x48,0x7F,0x48,0xC8,0x48,0x08,0x00,
0x01,0x41,0x80,0x7F,0x00,0x40,0x40,0x20,0x13,0x0C,0x0C,0x12,0x21,0x60,0x20,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x80,0x80,0x40,0x40,0x20,0x10,0x08,0xC7,0x8A,0x10,0x20,0x60,0x40,0xC0,0x40,0x00,
0x40,0x40,0x40,0x7F,0x42,0x40,0x40,0x7F,0x42,0x42,0x42,0x43,0x42,0x60,0x40,0x00,

/*--  :  ҵ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x10,0x60,0x80,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0x80,0x60,0x38,0x10,0x00,
0x20,0x20,0x20,0x23,0x21,0x3F,0x20,0x20,0x20,0x3F,0x22,0x21,0x20,0x30,0x20,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x80,0x40,0x30,0x0E,0x84,0x00,0x00,0x0E,0x10,0x60,0xC0,0x80,0x80,0x00,
0x00,0x01,0x20,0x70,0x28,0x24,0x23,0x31,0x10,0x10,0x14,0x78,0x30,0x01,0x00,0x00,

/*--  :  ˾  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x10,0x92,0x92,0x92,0x92,0x92,0x92,0x92,0x92,0x12,0x02,0x02,0xFE,0x00,0x00,
0x00,0x00,0x1F,0x04,0x04,0x04,0x04,0x04,0x04,0x0F,0x00,0x20,0x40,0x3F,0x00,0x00,

/*--  :  ר  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x20,0x20,0x24,0x24,0xA4,0x64,0x3C,0x27,0x24,0x24,0xA4,0x24,0x24,0x20,0x20,0x00,
0x00,0x00,0x00,0x00,0x01,0x01,0x09,0x11,0x29,0x45,0x03,0x01,0x00,0x00,0x00,0x00,

/*--  :  ע  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x60,0x01,0x86,0x60,0x08,0x08,0x08,0x09,0xFE,0x08,0x08,0x08,0x08,0x08,0x00,
0x04,0x04,0xFE,0x01,0x40,0x40,0x41,0x41,0x41,0x7F,0x41,0x41,0x41,0x41,0x40,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x40,0x40,0x42,0x42,0x42,0x42,0x42,0xFE,0x42,0x42,0x42,0x42,0x42,0x42,0x40,0x00,
0x00,0x00,0x00,0x00,0x20,0x40,0x80,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0xFC,0x04,0x04,0xE6,0x25,0x24,0x24,0x24,0xE4,0x04,0x04,0xFC,0x00,0x00,
0x00,0x00,0x7F,0x00,0x00,0x0F,0x04,0x04,0x04,0x04,0x0F,0x20,0x40,0x3F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0xFE,0x22,0x22,0x22,0x22,0xFE,0x22,0x22,0x22,0x22,0xFE,0x00,0x00,
0x80,0x40,0x30,0x0F,0x02,0x02,0x02,0x02,0xFF,0x02,0x02,0x42,0x82,0x7F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0xF8,0x88,0x88,0x88,0x89,0x8A,0x8E,0x88,0x88,0x88,0xF8,0x00,0x00,
0x80,0x40,0x30,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x08,0x08,0x88,0xFF,0x48,0x88,0x80,0xBE,0xAA,0xAA,0xAA,0xAA,0xBE,0x80,0x00,0x00,
0x02,0x41,0x80,0x7F,0x40,0x30,0x1E,0x20,0x20,0x7F,0x44,0x44,0x44,0x44,0x40,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x40,0x20,0xF8,0x17,0x02,0x10,0x10,0xFE,0x10,0x10,0x10,0xFE,0x10,0x10,0x00,0x00,
0x00,0x00,0xFF,0x00,0x42,0x22,0x1A,0x0F,0x02,0x02,0x06,0x1B,0x72,0x22,0x02,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x04,0x04,0x04,0x04,0x74,0x54,0x55,0x56,0x54,0x54,0x74,0x04,0x04,0x04,0x04,0x00,
0x00,0xFF,0x01,0x01,0x3D,0x25,0x25,0x25,0x25,0x25,0x3D,0x41,0x81,0x7F,0x00,0x00,

/*--  :  Ʒ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0x00,0x7E,0x22,0x22,0x22,0x22,0x22,0x22,0x7E,0x00,0x00,0x00,0x00,
0x00,0x7F,0x21,0x21,0x21,0x21,0x7F,0x00,0x7F,0x21,0x21,0x21,0x21,0x7F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0xFE,0x02,0x0A,0xCA,0x4A,0x6A,0x5E,0x49,0x49,0xC9,0x09,0x01,0x00,0x00,
0x80,0x60,0x1F,0x00,0x80,0x4F,0x20,0x10,0x0F,0x10,0x20,0xEF,0x40,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0xF8,0x8C,0x8B,0x88,0xF8,0x40,0x30,0x8F,0x08,0x08,0x08,0x08,0xF8,0x00,0x00,
0x00,0x7F,0x10,0x10,0x10,0x3F,0x00,0x00,0x00,0x03,0x26,0x40,0x20,0x1F,0x00,0x00,

/*--  :  Һ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x61,0x06,0xE0,0x18,0x84,0xE4,0x1C,0x84,0x65,0xBE,0x24,0xA4,0x64,0x04,0x00,
0x04,0x04,0xFF,0x00,0x01,0x00,0xFF,0x41,0x21,0x12,0x0C,0x1B,0x61,0xC0,0x40,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0x00,0x7E,0x2A,0x2A,0x2A,0x2A,0x2A,0x2A,0x7E,0x00,0x00,0x00,0x00,
0x00,0x7F,0x25,0x25,0x25,0x25,0x7F,0x00,0x00,0x7F,0x25,0x25,0x25,0x25,0x7F,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x04,0xE4,0x44,0x4C,0x74,0x54,0x45,0x46,0x64,0x54,0x4C,0x44,0x64,0x44,0x00,
0x40,0x30,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

/*--  :  Ʒ  --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0x00,0x7E,0x22,0x22,0x22,0x22,0x22,0x22,0x7E,0x00,0x00,0x00,0x00,
0x00,0x7F,0x21,0x21,0x21,0x21,0x7F,0x00,0x7F,0x21,0x21,0x21,0x21,0x7F,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x02,0x02,0x82,0x7E,0x82,0x02,0x42,0xF2,0x4E,0xC0,0x40,0x00,0x00,0x00,
0x40,0x20,0x90,0x8C,0x43,0x40,0x21,0x16,0x08,0x08,0x16,0x21,0x60,0xC0,0x40,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0xFF,0x91,0x91,0xFF,0x00,0x00,0xFF,0xC1,0x41,0x49,0x51,0xCF,0x00,0x00,
0x40,0x30,0x0F,0x20,0x40,0x3F,0x00,0x00,0x7F,0x21,0x16,0x08,0x36,0x61,0x20,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x20,0x10,0x10,0x88,0x84,0x4F,0x52,0xA2,0x22,0x52,0x4A,0x86,0x80,0x80,0x80,0x00,
0x80,0x81,0x41,0x42,0x22,0x12,0x0E,0x03,0x02,0x42,0x82,0x7E,0x00,0x01,0x00,0x00


};


unsigned char code BMP0[]={
/*-- E:ERM12864-2 series.bmp  --*/
/*--  LxH=128x64  --*/
0xFF,0x01,0x01,0xF1,0x91,0x91,0x91,0x91,0x01,0x81,0x61,0x11,0x61,0x81,0x01,0x61,
0x91,0x91,0x21,0x01,0x11,0x11,0xF1,0x11,0x11,0x01,0xF1,0x91,0x91,0x91,0x61,0x01,
0x01,0xF1,0x01,0x01,0x61,0x91,0x91,0x21,0x01,0x01,0xF1,0x01,0x01,0xF1,0x61,0x81,
0x01,0xF1,0x01,0x01,0xE1,0x11,0x11,0x91,0xA1,0x01,0x01,0x01,0x01,0x11,0x11,0xF1,
0x11,0x11,0x01,0xF1,0x91,0x91,0x91,0x91,0x01,0xE1,0x11,0x11,0x11,0x21,0x01,0x01,
0xF1,0x81,0x81,0x81,0xF1,0x01,0x01,0x01,0x01,0x01,0xE1,0x11,0x11,0x11,0x21,0x01,
0x01,0xE1,0x11,0x11,0x11,0xE1,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xF1,0x01,
0x01,0x01,0x11,0x11,0xF1,0x11,0x11,0x01,0xF1,0x11,0x11,0x11,0xE1,0x01,0x01,0xFF,
0xFF,0x00,0x00,0x07,0x04,0x04,0x04,0x04,0x04,0x03,0x01,0x01,0x01,0x03,0x04,0x02,
0x04,0x04,0x03,0x00,0x00,0x00,0x07,0x00,0x00,0x00,0x07,0x00,0xC0,0x01,0x06,0x00,
0x80,0x87,0x80,0x80,0x82,0x04,0x04,0x03,0x00,0x80,0x87,0x80,0x80,0x87,0x80,0x80,
0xC3,0x87,0x00,0x00,0x03,0x04,0x04,0x04,0x03,0xC0,0x00,0x00,0x00,0x00,0x80,0x07,
0x00,0x00,0x00,0x07,0x04,0x04,0x44,0x84,0x00,0x03,0x04,0x04,0x04,0x02,0x00,0x80,
0x87,0x80,0x40,0x00,0x07,0x00,0x00,0xC4,0x00,0x00,0x03,0x04,0x04,0xC4,0x02,0x00,
0x00,0x03,0x04,0xC4,0x04,0x03,0x00,0x00,0x04,0x00,0x14,0x0C,0x00,0x00,0x07,0x04,
0x04,0x04,0x00,0x00,0x07,0x00,0x00,0x00,0x07,0x04,0x04,0x04,0x03,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x82,0x7F,0x02,0xFE,0x00,
0x7F,0x48,0x48,0x48,0x7F,0x80,0x00,0x00,0x00,0xFF,0x08,0x08,0x08,0x08,0x08,0x08,
0xFF,0x00,0x00,0x00,0x00,0x01,0x99,0x55,0x33,0x11,0xFD,0x11,0x31,0x51,0x91,0x01,
0x00,0x01,0x01,0x01,0x81,0x61,0x1F,0x09,0x09,0x09,0xF9,0x01,0x01,0x00,0x44,0x24,
0x14,0xFF,0x14,0x64,0x49,0x52,0x40,0xFF,0x20,0x20,0x00,0x22,0x12,0xFF,0x0A,0x00,
0x02,0x3A,0x4A,0x8F,0x4A,0x3A,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x01,0x00,0x00,0x01,0x02,
0x02,0x02,0x02,0x02,0x02,0x03,0x00,0x00,0x00,0x03,0x01,0x01,0x01,0x01,0x01,0x01,
0x03,0x00,0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x02,0x03,0x00,0x00,0x00,0x00,0x01,
0x00,0x00,0x02,0x01,0x00,0x00,0x00,0x01,0x02,0x01,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x03,0x00,0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x00,0x00,0x02,0x03,0x00,0x02,
0x02,0x02,0x01,0x00,0x01,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0E,0x02,0x02,0xF2,0xF2,0x12,0x12,0x12,
0x12,0x00,0xF0,0xF0,0x10,0x10,0x10,0xF0,0xE0,0x00,0xF0,0xF0,0xF0,0xC0,0x00,0xC0,
0xF0,0xF0,0xF0,0x00,0x00,0xC0,0x60,0xF0,0xF0,0x00,0x00,0x20,0x30,0x10,0x10,0xF0,
0xE0,0x00,0xE0,0xF0,0x10,0x10,0xF0,0xE0,0x00,0xC0,0xE0,0x90,0x90,0xB0,0x20,0x00,
0x00,0x80,0x60,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x02,0x22,0x32,0x12,0x12,0xF2,
0xE2,0x02,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0x80,0x80,0x9F,0x9F,0x91,0x91,0x91,
0x91,0x00,0x1F,0x1F,0x01,0x01,0x03,0x0F,0x1C,0x10,0x1F,0x1F,0x00,0x0F,0x1C,0x0F,
0x00,0x1F,0x1F,0x00,0x00,0x00,0x00,0x1F,0x1F,0x00,0x00,0x18,0x1C,0x16,0x13,0x11,
0x10,0x00,0x0E,0x1F,0x11,0x11,0x1F,0x0E,0x00,0x0F,0x1F,0x10,0x10,0x1F,0x0F,0x00,
0x06,0x05,0x04,0x1F,0x1F,0x04,0x00,0x02,0x02,0x02,0x80,0x98,0x9C,0x96,0x93,0x91,
0x90,0x80,0xE0,0x00,0x26,0x49,0x49,0x32,0x00,0x38,0x54,0x54,0x58,0x00,0x7C,0x04,
0x00,0x7D,0x00,0x38,0x54,0x54,0x58,0x00,0x48,0x54,0x54,0x24,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,
0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x40,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x80,0x80,0x9F,0xA0,0xA0,0xA0,0x9F,0x80,0x80,0xBF,0x84,0x84,0x9C,0xA3,0x80,
0x80,0xBF,0xA0,0xA0,0xA0,0x80,0x80,0xA2,0x80,0x80,0x80,0x81,0x86,0x98,0x87,0x98,
0x86,0x81,0x81,0x86,0x98,0x87,0x98,0x86,0x81,0x81,0x86,0x98,0x87,0x98,0x86,0x81,
0x80,0x90,0x80,0x9F,0x91,0x91,0x91,0x8E,0x80,0x8F,0x90,0x90,0x90,0x9F,0x80,0xC1,
0xCE,0xB0,0x8E,0x81,0x80,0x8E,0x91,0x91,0x91,0x9F,0x80,0x9F,0x80,0x80,0x92,0x95,
0x95,0x89,0x80,0xFF,0x91,0x91,0x91,0x8E,0x80,0x9F,0x80,0x80,0x89,0x95,0x95,0x9E,
0x80,0xC1,0xCE,0xB0,0x8E,0x81,0x80,0x90,0x80,0x8E,0x91,0x91,0x8A,0x80,0x8E,0x91,
0x91,0x91,0x8E,0x80,0x9F,0x81,0x81,0x9E,0x81,0x81,0x9E,0x80,0x80,0x80,0x80,0xFF,



};
 
unsigned char code BMP1[]={    
/*--  LxH=128x64  --*/
0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0xC1,0xF1,0xFD,0xFD,0x81,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0xC1,0xE1,0xF1,0xF9,0xF9,0xFD,0xFD,0xF9,0xF9,0x61,0xF1,0x51,
0x01,0x09,0x0D,0x0D,0x05,0x09,0x09,0x09,0x09,0x09,0x09,0x99,0xB9,0xC1,0x01,0x01,
0x01,0x81,0x81,0xC1,0xC1,0x81,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xE1,0xF1,0xF1,0xF1,
0xE1,0xC1,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xF1,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xFF,
0xFF,0x00,0x30,0x30,0x78,0x7C,0x7F,0x71,0x66,0x60,0x71,0x7F,0x7C,0x80,0x00,0x00,
0x00,0x00,0x00,0x00,0x07,0x8F,0x7F,0x1F,0x1F,0x3F,0x7F,0xFE,0xFE,0xFA,0xF3,0xF6,
0xF6,0xC4,0x48,0x18,0x18,0x78,0xF8,0xF8,0xF8,0xFC,0xF4,0xF4,0xEF,0xE8,0x99,0x71,
0x06,0x1F,0xFF,0xFF,0xFF,0xFF,0x7F,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0xFC,0xFE,0xFE,
0xFC,0x78,0x20,0x20,0x10,0x10,0x08,0x08,0x08,0x0C,0x04,0x04,0x07,0x07,0x0F,0x0F,
0x0F,0x0F,0x1F,0x10,0x10,0x20,0x20,0x40,0xC0,0x80,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x23,0x7C,0x48,
0x48,0x88,0x78,0x30,0x0C,0xE3,0xF0,0xF8,0xFC,0x1E,0x4E,0x4E,0x6F,0xDF,0x7D,0x31,
0x01,0x00,0x00,0x00,0xC0,0xB0,0x98,0x99,0x39,0xF9,0xF9,0xF9,0xF1,0xE1,0xC0,0x00,
0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x70,0x08,0x07,0x03,0x01,
0x00,0x80,0x80,0x84,0x84,0x00,0x08,0x00,0x00,0x00,0x02,0x01,0xC0,0xF0,0xF8,0xFC,
0xFE,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7E,0x7C,0x7C,0x30,0x60,
0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x08,0x18,0x10,
0x10,0x3F,0xF8,0x60,0xC0,0x83,0x07,0x0F,0x0F,0x0E,0x0C,0x04,0x0E,0x8C,0x88,0x00,
0x80,0x00,0x00,0x00,0x00,0x04,0x0C,0x1D,0x1D,0x3F,0x3F,0x3F,0x3F,0x1F,0x0F,0x00,
0x00,0x80,0xE0,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0xFE,0xF1,0xFC,0xFC,0xFE,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7E,0x7E,0x7C,0x38,0x20,0x1F,0x3F,0xFF,0xFF,
0xCF,0xC7,0xE7,0xE3,0xF3,0xF3,0xF1,0xF9,0xF9,0xFC,0xFC,0xFC,0xFE,0x7E,0x3F,0x00,
0x01,0x1F,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x01,0x03,0x1C,0x71,0x83,0x02,0xE4,0xFC,0x78,0x39,0x11,0x10,0x10,0x10,
0x20,0x20,0x20,0x20,0x20,0xE0,0xE0,0xE0,0x70,0x30,0x30,0x78,0xF8,0xFC,0xE4,0x02,
0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xCF,0x3F,0xFF,0xFF,0xC7,0xE7,0xE3,
0xF3,0xF3,0xF1,0xF9,0xF8,0xFC,0xFC,0xFC,0xFE,0xFE,0x7F,0x1F,0x03,0x00,0x00,0x01,
0x03,0x03,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x07,0x03,0x01,0x01,0x80,0x40,0x20,
0x18,0x0F,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xF1,0x1F,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x01,0x03,0x01,0x04,0x10,0x60,0x00,0x00,0x03,0x07,0x18,
0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x06,0x08,0x11,0x31,0x23,0x43,
0x47,0xC7,0x87,0x87,0x87,0x83,0x03,0x03,0x01,0x00,0x00,0x04,0x04,0x84,0xA0,0x80,
0x80,0xC0,0xC0,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0xFE,0xC2,0xC1,0xE0,0xF0,0x70,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xE0,0xE0,0x80,0x80,0x83,0x0E,0x0E,0x8C,0x84,0x00,
0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x80,0x80,0x00,0x80,0x80,0x80,0xE0,0xE0,
0x0F,0xA0,0xA0,0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x80,
0x00,0x00,0xE0,0xE0,0x00,0x01,0x81,0x81,0x81,0x07,0x87,0x83,0x03,0x07,0x07,0x87,
0x87,0x07,0x07,0x07,0x07,0x87,0x87,0x87,0x07,0x07,0x07,0x87,0x87,0x83,0x81,0x00,
0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x87,0x90,0xA0,0xA0,0xC0,0xC1,0xC2,0xC2,0xA6,
0xB6,0xA2,0xC0,0xC0,0xC0,0x80,0x9F,0x9F,0x90,0x90,0x9F,0x8F,0x80,0x8F,0x9F,0x90,
0x90,0x9F,0x9F,0xC0,0xC7,0xFF,0xB8,0x9F,0x87,0x80,0x8F,0x9F,0x90,0x90,0x9F,0x9F,
0x80,0x9F,0x9F,0x80,0x8B,0x9B,0x96,0x96,0x9D,0x8D,0x80,0xFF,0xFF,0x90,0x90,0x9F,
0x8F,0x80,0x9F,0x9F,0x80,0x8D,0x9E,0x92,0x9F,0x9F,0xC0,0xC7,0xFF,0xB8,0x9F,0x87,
0x80,0x98,0x98,0x80,0x8F,0x9F,0x90,0x99,0x89,0x80,0x8F,0x9F,0x90,0x90,0x9F,0x8F,
0x80,0x9F,0x9F,0x80,0x80,0x9F,0x9F,0x80,0x80,0x9F,0x9F,0x80,0x80,0x80,0x80,0xFF,

};   

unsigned char code BMP2[]={    
/*--  LxH=128x64  --*/
0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x81,0xC1,0xF1,0xF9,0xFD,0xF1,0x01,0x81,0xC1,0x81,0x81,
0x81,0x81,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x81,0xF1,0xF9,0xFF,0xFD,0xC1,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0xC1,0xE1,0xF1,0xF9,0xF9,0xFD,0xFD,0xF9,
0xF1,0xE1,0xE1,0xB1,0x11,0x19,0x1D,0x1D,0x0D,0x09,0x19,0x19,0x19,0x09,0x09,0x39,
0xF9,0xD9,0x81,0x01,0x01,0x01,0x01,0x81,0x81,0x81,0x81,0x01,0x01,0x01,0x01,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x03,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x01,0xFF,0xFF,0xFF,
0x03,0x03,0x07,0x07,0x07,0x0F,0x0F,0x0E,0x1E,0x1E,0x1E,0x3C,0x3C,0x3C,0x7C,0x78,
0x78,0xF8,0xF8,0xF8,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x60,0x60,0x70,0x78,0x7E,0x7B,0x6F,0x4D,0x7B,0x73,0xFF,
0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x1F,0x3F,0xFF,0x3F,0x1F,0xFF,0xFF,0xFF,
0xFF,0xF7,0xF7,0xF6,0xEC,0xDC,0xF8,0x30,0x30,0xF0,0xF8,0xF8,0xF8,0xF8,0xE8,0xEC,
0xEF,0xFB,0xFB,0xF3,0x0E,0x3F,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0x3C,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0C,0x3C,0xF8,0xF8,0xF8,0xF0,0xF0,0xF0,
0xE0,0xE0,0xC0,0xC0,0xC0,0x80,0x81,0x0F,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x7F,0xFF,
0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xF8,0xFF,0xFF,0x1F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,
0xC3,0x7F,0xF8,0xD0,0x90,0x90,0xF0,0x78,0xDE,0xE3,0xF0,0xF8,0xF8,0xFC,0xBC,0xDF,
0x5F,0xFF,0xFF,0x7B,0x01,0x01,0x00,0x00,0xC0,0xF0,0xF1,0x7B,0x7B,0xFB,0xF7,0xF7,
0xE3,0xE3,0xC3,0x01,0x00,0x00,0x00,0xFF,0xF9,0x01,0x01,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x1F,0x7F,0xF8,0xC1,
0x01,0x01,0x03,0x03,0x03,0x07,0x07,0x07,0x00,0x07,0x3F,0xFF,0xFF,0x00,0x00,0x3F,
0xFF,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xC0,0xFF,0xFF,0x1F,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,
0x1C,0x38,0x30,0x23,0x77,0xFF,0xFF,0xC0,0x87,0x0F,0x1F,0x1F,0x1F,0x1F,0x1D,0x0C,
0x1E,0x39,0x19,0x00,0x00,0x00,0x00,0x00,0x03,0x19,0x19,0x3B,0x38,0x7F,0x7F,0x7F,
0x3F,0x3F,0x1F,0x02,0x00,0x80,0xC0,0xFF,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x01,0x07,
0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x1F,0x3F,0x80,0x00,
0x0F,0x0F,0x8E,0x8E,0x8E,0x8E,0x8E,0x8E,0x0E,0x0E,0x0E,0x0E,0x8E,0x8E,0x0E,0x0E,
0x0F,0x0F,0x01,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x1E,0x79,0xE3,0x86,0x0C,0xC8,0xF8,0xF1,0x73,
0x23,0x23,0x23,0x63,0x61,0x60,0x40,0x40,0x40,0x60,0xE0,0xE0,0xE0,0x60,0xE0,0xF0,
0xF0,0xF8,0xCC,0x0C,0x06,0x03,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x00,0xFF,0xFF,0x88,0x88,0x88,0x88,0x00,0x00,0x64,0xF2,0x9A,
0x8A,0xFE,0xFC,0x00,0x00,0x4C,0xDE,0x9A,0xB2,0xF6,0x64,0x00,0x02,0x7F,0xFF,0x82,
0x00,0x00,0xFF,0xFF,0x08,0x08,0x18,0x7F,0xE7,0x80,0x00,0x00,0xFE,0xFE,0x00,0x00,
0x4C,0xDE,0x9A,0xB2,0xF6,0x64,0x00,0x00,0xFE,0xFE,0x00,0x00,0xFE,0xFE,0x04,0x02,
0xFE,0xFC,0x00,0x00,0x7C,0xFE,0x82,0x44,0xFE,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFB,0x3F,0x03,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x07,0x0C,0x38,0xE0,0x40,
0x01,0x03,0x0F,0x38,0xF0,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x00,0x0C,0xEC,0x8C,0x8C,0x8C,0x0C,0x0C,0x8C,0x0C,0x0C,0x0C,0x8C,0x0C,0x8C,
0x0C,0x0C,0x0C,0x8C,0x0C,0x0C,0x8C,0x8C,0x8C,0xEC,0x0C,0xAC,0x0C,0x0C,0x0C,0x8C,
0x8C,0x8C,0x0C,0x8C,0x8C,0x8C,0x8C,0x0C,0x0C,0xEC,0x0C,0x0C,0x8C,0x8C,0x8C,0x0C,
0x0C,0x8C,0x0C,0x0C,0x0C,0x8C,0x0C,0x0C,0x0C,0x0C,0x8C,0x8C,0x0C,0x0C,0x0C,0x8C,
0x8C,0x8C,0x0C,0x0C,0x8D,0x8E,0x8E,0x0E,0x8F,0x8D,0x0C,0x0C,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xC0,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC3,0xFE,
0x3E,0x1C,0x0C,0x06,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x80,0x80,0x8F,0x88,0x88,0x88,0x87,0x80,0x87,0x88,0x88,0x88,0x8F,0x80,0xA0,
0xA7,0x98,0x87,0x80,0x80,0x87,0x88,0x88,0x88,0x8F,0x80,0x8F,0x80,0x80,0x89,0x8A,
0x8A,0x84,0x80,0xBF,0x88,0x88,0x88,0x87,0x80,0x8F,0x80,0x80,0x84,0x8A,0x8A,0x8F,
0x80,0xA0,0xA7,0x98,0x87,0x80,0x80,0x88,0x80,0x87,0x88,0x88,0x85,0x80,0x87,0x88,
0x88,0x88,0x87,0x80,0x8F,0x80,0x80,0x8F,0x80,0x80,0x8F,0x80,0x80,0x80,0x80,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x81,0x9F,0xB8,0xE0,0xC0,0xC0,
0xC2,0xC2,0xC6,0xE6,0xFE,0xC6,0xC0,0xC0,0x80,0x80,0xC0,0xC0,0xE0,0xFC,0x9F,0x80,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0xFF,

}; 
   
unsigned char code BMP3[]={  
/*-- LxH=128x64  --*/
0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0xE0,0x00,0xF0,0x00,0xFC,0x00,0x00,0x00,0x00,
0x04,0x06,0x12,0x12,0xFE,0xEC,0x00,0xF8,0xFC,0x06,0x02,0x22,0xE6,0xE4,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0x90,0x9C,0x04,0xF4,0x04,0xF4,0xF4,0x04,0xF4,
0xF4,0x04,0x04,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x03,0x00,0x03,0x00,0x03,0x00,0x03,0x00,0x03,0x00,0x00,0x00,0x00,
0x01,0x03,0x02,0x02,0x03,0x01,0x00,0x00,0x01,0x03,0x02,0x02,0x03,0x01,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x02,0x02,0x02,0x02,0x02,0x02,0x02,
0x02,0x02,0x02,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0xC0,0xC0,0xE0,0xF0,0xF8,
0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x80,0xF0,0xF8,0xFC,0xFE,0xFE,0x7F,0x3F,0x1F,0x1F,0x1F,0x3F,0x7F,0xFE,0xFE,0xFC,
0xFC,0xF0,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xF0,0xF8,0xFC,0xFE,0xFE,0x7F,0x3F,0x1F,0x1F,
0x1F,0x3F,0xFE,0xFE,0xFC,0xFC,0xF0,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x80,0xE0,0xF0,0xFC,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x1F,0x0F,0x0F,0x07,0x07,0x03,0x01,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x01,0x03,0x03,0x03,0x03,0x03,0x00,0x00,0x00,0x80,0xC0,0xE0,0xF8,0xFF,0xFF,0xFF,
0xFF,0x3F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x3F,0x3F,0x3F,0x3F,0x3F,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x01,0x00,0xE0,0xF0,0xF0,
0xF8,0xFC,0xFF,0xFF,0xBF,0x9F,0x0F,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,
0xE0,0xF8,0xFC,0xFF,0xFF,0x3F,0x1F,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0xC0,0xE0,0xF8,0xFC,0xFE,0xFF,0x3F,0x3F,0x1F,0x0F,0x07,0x03,0x01,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xC0,0xC0,0xE0,0xE0,0xE0,0xE0,0x80,0x00,0x01,0x01,0x01,
0x01,0x03,0x07,0xFF,0xFF,0xFF,0xFF,0xFE,0xF8,0x00,0x00,0x00,0xF8,0xFC,0xFF,0xFF,
0xFF,0xFF,0xF7,0xF1,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,
0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x70,
0x7C,0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x7E,0x7E,0x7E,0x7E,0x7E,0x7E,0x7E,0x7E,
0x7E,0x7E,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x7E,0x7E,0x7E,0x7E,0x7E,0x7E,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x0F,0x1F,0x3F,0x3F,0x3F,0x7E,0x7C,0x7C,0x7C,
0x7C,0x7E,0x3F,0x3F,0x1F,0x1F,0x0F,0x07,0x01,0x00,0x00,0x00,0x01,0x01,0x01,0x01,
0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x01,0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x01,0x01,
0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x40,0x60,0x20,0x20,0xE0,0xC0,0x00,0x80,0xE0,0x60,0x20,0x20,
0x20,0x00,0x00,0x00,0x00,0xC0,0xE0,0x20,0x20,0xE0,0xC0,0x00,0x80,0xC0,0x20,0x20,
0x60,0x40,0x00,0x00,0x00,0x00,0x40,0x60,0x20,0x20,0xE0,0xC0,0x00,0xC0,0xE0,0x20,
0x20,0xE0,0xC0,0x00,0x00,0x80,0xC0,0xE0,0xE0,0x00,0x00,0x00,0x80,0xC0,0xE0,0xE0,
0x00,0x00,0x00,0x00,0x00,0xC0,0xE0,0x20,0x20,0x20,0x60,0x40,0x00,0x00,0x80,0x80,
0x80,0x80,0x00,0x80,0xC0,0xE0,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x30,0x38,0x2C,0x26,0x23,0x21,0x00,0x13,0x33,0x21,0x21,0x3F,
0x1E,0x00,0x30,0x30,0x00,0x1F,0x3F,0x20,0x20,0x3F,0x1F,0x00,0x1F,0x3F,0x21,0x21,
0x3F,0x1E,0x00,0x30,0x30,0x00,0x30,0x38,0x2C,0x26,0x23,0x21,0x00,0x1F,0x3F,0x20,
0x20,0x3F,0x1F,0x00,0x00,0x01,0x00,0x3F,0x3F,0x00,0x00,0x00,0x01,0x00,0x3F,0x3F,
0x00,0x00,0x00,0x00,0x00,0x11,0x33,0x23,0x27,0x26,0x3E,0x1C,0x00,0x19,0x3C,0x26,
0x22,0x3F,0x3F,0x00,0x1F,0x3F,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,

};